python-scrypt_0.6.1-5.1_amd64.deb


Advertisement

Description

python-scrypt - Python bindings for the scrypt key derivation function library

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-scrypt
Package version: 0.6.1
Package release: 5.1
Package architecture: amd64
Package type: deb
Installed size: 99 B
Download size: 17.11 KB
Official Mirror: archive.ubuntu.com
This is a set of Python bindings for the scrypt key derivation function. Scrypt is useful when encrypting password as it is possible to specify a minimum amount of time to use when encrypting and decrypting. If, for example, a password takes 0.05 seconds to verify, a user won't notice the slight delay when signing in, but doing a brute force search of several billion passwords will take a considerable amount of time. This is in contrast to more traditional hash functions such as MD5 or the SHA family which can be implemented extremely fast on cheap hardware.

Alternatives

    Download

    Source package: python-scrypt

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-scrypt deb package:
      # sudo apt-get install python-scrypt

    Files

    • /usr/lib/pyshared/python2.7/_scrypt.so
    • /usr/lib/python2.7/dist-packages/_scrypt.so
    • /usr/lib/python2.7/dist-packages/scrypt-0.6.1.egg-info
    • /usr/lib/python2.7/dist-packages/scrypt.py
    • /usr/share/doc/python-scrypt/changelog.Debian.gz
    • /usr/share/doc/python-scrypt/copyright
    • /usr/share/lintian/overrides/python-scrypt
    • /usr/share/pyshared/scrypt-0.6.1.egg-info
    • /usr/share/pyshared/scrypt.py

    Changelog

    2013-11-22 - Thorsten Alteholz <debian@alteholz.de> python-scrypt (0.6.1-5.1) unstable; urgency=low * NMU: as suggested by Dejan Latinovic there is only a dependency on libssl-dev missing (Closes: #724158)

    2013-08-22 - Micah Anderson <micah@debian.org> python-scrypt (0.6.1-5) unstable; urgency=low * Remove dependency on libscrypt0, it requires porting

    2013-08-13 - Micah Anderson <micah@debian.org> python-scrypt (0.6.1-4) unstable; urgency=low * Update debian/copyright to fix missing DEP5 field

    2013-08-10 - Micah Anderson <micah@debian.org> python-scrypt (0.6.1-3) unstable; urgency=low * Fix typo in libscrypt0 package dependency

    2013-07-04 - Micah Anderson <micah@debian.org> python-scrypt (0.6.1-2) unstable; urgency=low * Add missing license information for embedded scrypt

    2013-05-30 - Micah Anderson <micah@debian.org> python-scrypt (0.6.1-1) unstable; urgency=low * Initial package (Closes: #710464)

    Advertisement
    Advertisement